#
# spec file for package python-rst.linker
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name   rst.linker
%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-rst.linker
Version:        2.0.0
Release:        bp155.2.9
Summary:        Changelog link and timestamp adding Sphinx plugin
License:        MIT
URL:            https://github.com/jaraco/rst.linker
Source:         https://files.pythonhosted.org/packages/source/r/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  %{python_module importlib-metadata}
BuildRequires:  %{python_module jaraco.packaging >= 3.2}
BuildRequires:  %{python_module path.py}
BuildRequires:  %{python_module pytest >= 3.5}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  python3-Sphinx
Requires:       python-importlib-metadata
Requires:       python-python-dateutil
Requires:       python-six
BuildArch:      noarch
%python_subpackages

%description
rst.linker is a Sphinx plugin to add links and timestamps to the
changelog.

%prep
%setup -q -n %{_name}-%{version}
sed -i -e 's/--flake8//' -e 's/--black//' -e 's/--cov//' pytest.ini

%build
%python_build
python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest test_all.py

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%doc build/sphinx/html
%{python_sitelib}/*

%changelog
* Fri Mar 27 2020 pgajdos@suse.com
- version update to 2.0.0
  * Drop support for Python 3.5 and earlier.
* Tue Mar 17 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix building on Leap
* Tue Sep 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.11:
  * Now supply the version of the package during Sphinx setup.
  * Also supply "parallel_read_safe=True"
* Fri Jun  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call
- Run py3 only sphinx build as new sphinx does not provide py2
  variant anymore
* Wed Feb 27 2019 John Vandenberg <jayvdb@gmail.com>
- Add LICENSE
- Run Sphinx on Python 2 also
- Update to v1.10
  * Refreshed package metadata.
  * Package now presents the ``rst`` package a pkg-util
    namespace package (instead of pkg_resources).
* Sun Jul  9 2017 aloisio@gmx.com
- Fixed dateutil requires
* Tue Jul  4 2017 aloisio@gmx.com
- Update to version 1.9
  * Replacer now adds the Sphinx config namespace to the
    replacements, meaning that names like ``project``
    or ``copyright`` may be referenced in the format
    strings. This feature is particularly useful when
    coupled with the `jaraco.packaging
    <https://pypi.org/project/jaraco.packaging>`.sphinx
    plugin, which supplies a ``package_url``.
  1.8.2:
  * Added project description and updated changelog.
  1.8.1:
  * Issue #4: Prefer public API of ``app.confdir`` to private
    API.
  1.8:
  * Issue #4: Resolve deterministically the filenames relative to
    the config file.
  * *semver deviation*: This change is backward-incompatible
    for projects that relied on paths relative to the cwd where
    the cwd was not the directory of the config file.
- Converted to single-spec
* Sat Jul 30 2016 sor.alexei@meowr.ru
- Initial package.
